#############################################################################
#################### Example gridcoinresearch.conf file #####################
#############################################################################
##
## Default gridcoinresearch.conf location:
##
##  Win:   %AppData%\GridcoinResearch\
##  Linux: ~/.GridcoinResearch/
##  macOS: /Users/USERNAME/Library/Application/Support/GridcoinResearch/
##
## Single # lines are commands, remove the # in Front of the command to use it
## Double ## lines are comments
##
#############################################################################
####################### Required Settings (All OS's) ########################
#############################################################################

## Community provided list of addnodes available at https://github.com/gridcoin-community/Gridcoin-Wiki/wiki/List-of-Addnodes
#~~~~~Copy & Paste Addnodes here~~~~~


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

## BOINC account E-Mail
## Use blank or INVESTOR for Investor or Pool Mining
## Note the PrimaryCPID field is deprecated and ignored since the 4.0.5.0
## release.
email=

## Port 32749/TCP open or forwarded required for Inbound Connections
## (Not required but highly recommended)
#listen=1

## Required for Headless set-ups
#daemon=1

#############################################################################
############# RPC Settings for Remote Access and Headless Users #############
############ Warning: Set a Good Password and Secure Your System ############
#############################################################################

#server=1
#rpcallowip=127.0.0.1
#rpcallowip=<IP Address of Remote System>
#rpcport=<Port for RPC Communication>
#rpcuser=<A Username for RPC>
#rpcpassword=<A STRONG Password for RPC>

#############################################################################
######################## Optional BOINC settings ############################
########### (Required if BOINC installed to non-default location) ###########
#############################################################################

## Windows (Note the double backslashes are necessary)
#boincdatadir=C:\\ProgramData\\BOINC\\

## Linux
#boincdatadir=/var/lib/boinc-client/

## macOS
#boincdatadir=/Library/Application Support/BOINC Data/

#############################################################################
######################## Optional Network settings ##########################
#############################################################################

## Maximum number of inbound+outbound connections. Default 125
#maxconnections=125
## Maximum number of outbound connections. Default 8
#maxoutboundconnections=8
## Manually Set-up Ports
#upnp=false
#externalip=<Your IP Address>

#############################################################################
############################## Other Entries ################################
#############################################################################

## See detailed Other Entries description section below.

#debug=true
#debug=<category>

#enablestakesplit=1
#stakingefficiency=<percentage between 75 and 98, defaults to 90>
#minstakesplitvalue=<value in GRC, minimum and defaults to 800>

#enablesidestaking=1
#sidestake=<address>,<allocation percentage>
